Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ToolBarArea

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ToolBarArea

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ToolBarArea

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.ToolBarArea` | `BottomToolBarArea` Value: BottomToolBarArea
`static Qt.ToolBarArea` | `LeftToolBarArea` Value: LeftToolBarArea
`static Qt.ToolBarArea` | `NoToolBarArea` Value: NoToolBarArea
`static Qt.ToolBarArea` | `RightToolBarArea` Value: RightToolBarArea
`static Qt.ToolBarArea` | `ToolBarArea_Mask`
`static Qt.ToolBarArea` | `TopToolBarArea` Value: TopToolBarArea

Method Summary
`static Qt.ToolBarAreas` | `createQFlags(Qt.ToolBarArea[] values)` This function creates a com.trolltech.qt.core.Qt$ToolBarAreas with the specified `com.trolltech.qt.core.Qt$ToolBarArea[]` ToolBarArea values set.
`static Qt.ToolBarArea` | `resolve(int value)` Returns the ToolBarArea constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ToolBarArea` | `valueOf(java.lang.String name)`
`static Qt.ToolBarArea[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LeftToolBarArea

    public static final Qt.ToolBarArea LeftToolBarArea

  Value: LeftToolBarArea

### RightToolBarArea

    public static final Qt.ToolBarArea RightToolBarArea

  Value: RightToolBarArea

### TopToolBarArea

    public static final Qt.ToolBarArea TopToolBarArea

  Value: TopToolBarArea

### BottomToolBarArea

    public static final Qt.ToolBarArea BottomToolBarArea

  Value: BottomToolBarArea

### ToolBarArea_Mask

    public static final Qt.ToolBarArea ToolBarArea_Mask

### NoToolBarArea

    public static final Qt.ToolBarArea NoToolBarArea

  Value: NoToolBarArea

Method Detail

### values

    public static Qt.ToolBarArea[] values()

### valueOf

    public static Qt.ToolBarArea valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.ToolBarAreas createQFlags(Qt.ToolBarArea[] values)

  This function creates a com.trolltech.qt.core.Qt$ToolBarAreas with the specified `com.trolltech.qt.core.Qt$ToolBarArea[]` ToolBarArea values set.

### resolve

    public static Qt.ToolBarArea resolve(int value)

  Returns the ToolBarArea constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD